Part RegularPolygon

From FreeCAD Documentation
Revision as of 06:20, 20 February 2022 by C4e (talk | contribs) (New version with images.)

This documentation is not finished. Please help and contribute documentation.

GuiCommand model explains how commands should be documented. Browse Category:UnfinishedDocu to see more incomplete pages like this one. See Category:Command Reference for all commands.

See WikiPages to learn about editing the wiki pages, and go to Help FreeCAD to learn about other ways in which you can contribute.

Part RegularPolygon

Menu location
Part → Create primitives → Regular Polygon
Workbenches
Part
Default shortcut
None
Introduced in version
0.14
See also
Part Primitives

Description

The Part Regular polygon command creates a parametric regular polygon shape.

FreeCAD creates a six-side polygon of equal edge length with a circumradius of 2 millimetre. By default, the polygon is positioned with its center at the origin (0,0,0) on the xy-plane.

Screenshot of Part Regular Polygon

Usage

  1. There are several ways to invoke the command:
    • Press the Create Primitives... button.
    • Select the Part → Create Primitives → Create Primitives... option from the menu.
    • Select the Regular polygon option from the menu.
  2. Set options and press Create.
  3. To close the dialog press Close.

Example

Part Regular polygon scripting example

A Part Regular polygon object with the values of the bottom scripting example are shown here.

Properties

See also: Property editor.

A Part Regular polygon object is derived from a Part Feature object and inherits all its properties. It also has the following additional properties:

Data

Box

  • DataPolygon (Integer): The number of sides of the polygon which describes the cross section of the Part Prism
  • DataCircumradius (Length): The circumradius is the distance from the centre of the polygon to a vertex.

Scripting

A Part Regular polygon is created with the addObject() method of the document.

regularPolygon = FreeCAD.ActiveDocument.addObject("Part::RegularPolygon", "myRegularPolygon")
  • Where myBox is the name for the object. The name must be unique for the entire document.
  • The function returns the newly created object.

The Label is the user editable name for the object. It can be easily changed by

regularPolygon.Label = "new myRegularPolygonName"

You can access and modify attributes of the regularPolygon object. For example, you may wish to modify the length, width and height parameters.

regularPolygon.Polygon = 5
regularPolygon.Circumradius = 8

You can change its placement and orientation with:

regularPolygon.Placement = FreeCAD.Placement(FreeCAD.Vector(1, 2, 3), FreeCAD.Rotation(60, 30, 15))